Show / Hide Table of Contents

# Class DalamudColors

##### Inheritance

System.Object
DalamudColors

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.Style

###### Assembly: Dalamud.dll

##### Syntax

    public class DalamudColors

### Properties

| Improve this Doc View Source

#### DalamudGrey

##### Declaration

    [JsonProperty("b")]
    public Vector4? DalamudGrey { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

| Improve this Doc View Source

#### DalamudGrey2

##### Declaration

    [JsonProperty("c")]
    public Vector4? DalamudGrey2 { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

| Improve this Doc View Source

#### DalamudGrey3

##### Declaration

    [JsonProperty("d")]
    public Vector4? DalamudGrey3 { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

| Improve this Doc View Source

#### DalamudOrange

##### Declaration

    [JsonProperty("g")]
    public Vector4? DalamudOrange { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

| Improve this Doc View Source

#### DalamudRed

##### Declaration

    [JsonProperty("a")]
    public Vector4? DalamudRed { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

| Improve this Doc View Source

#### DalamudWhite

##### Declaration

    [JsonProperty("e")]
    public Vector4? DalamudWhite { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

| Improve this Doc View Source

#### DalamudWhite2

##### Declaration

    [JsonProperty("f")]
    public Vector4? DalamudWhite2 { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

| Improve this Doc View Source

#### DPSRed

##### Declaration

    [JsonProperty("j")]
    public Vector4? DPSRed { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

| Improve this Doc View Source

#### HealerGreen

##### Declaration

    [JsonProperty("i")]
    public Vector4? HealerGreen { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

| Improve this Doc View Source

#### TankBlue

##### Declaration

    [JsonProperty("h")]
    public Vector4? TankBlue { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector4> |

### Methods

| Improve this Doc View Source

#### Apply()

##### Declaration

    public void Apply()